export declare const AWS_ACCESS_KEY_ID: 'AWS_ACCESS_KEY_ID';
export declare const AWS_SECRET_ACCESS_KEY: 'AWS_SECRET_ACCESS_KEY';
export declare const AWS_SESSION_TOKEN: 'AWS_SESSION_TOKEN';
/**
 * Credentials for authorizing and signing requests to an Amazon S3 endpoint.
 *
 * @public
 */
export interface IAmazonS3Credentials {
    accessKeyId: string;
    secretAccessKey: string;
    sessionToken: string | undefined;
}
/**
 * Attempt to read credentials from the commonly used AWS_* env vars.
 */
export declare const fromAmazonEnv: () => IAmazonS3Credentials | undefined;
/**
 * Attempt to parse credentials set from the RUSH_BUILD_CACHE_CREDENTIAL env var.
 */
export declare const fromRushEnv: (credential?: string | undefined) => IAmazonS3Credentials | undefined;
//# sourceMappingURL=AmazonS3Credentials.d.ts.map